> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a skill by ID

> Get a single skill based on the ID supplied



## OpenAPI

````yaml GET /skills/{id}
openapi: 3.1.0
info:
  title: INOP
  description: >-
    INOP API provides a powerful suite of endpoints designed to streamline and
    enhance the candidate screening process using AI-driven insights.
  license:
    name: MIT
    identifier: ''
  version: 1.0.0
servers:
  - url: https://public.api.inop.ai/v1/
security:
  - bearerAuth: []
paths:
  /skills/{id}:
    get:
      description: Get a single skill based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of skill to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Retrieved skill
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  messages:
                    type: string
                    default: Details of a skill
                  data:
                    type: object
                    default:
                      id: 3a51eea5-feec-47e5-bdf2-b8bca3448f94
                      name: C (Programming Language)
                      description: null
                      type:
                        name: Specialized Skill
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````